Bug 574329 - SELinux is preventing /usr/lib/chromium-browser/chrome-sandbox access to a leaked udp_socket file descriptor.
Summary: SELinux is preventing /usr/lib/chromium-browser/chrome-sandbox access to a le...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 12
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:cdaa671e984...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-17 08:55 UTC by celeste
Modified: 2010-03-30 02:11 UTC (History)
2 users (show)

Fixed In Version: selinux-policy-3.6.32-106.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-30 02:11:21 UTC
Type: ---


Attachments (Terms of Use)

Description celeste 2010-03-17 08:55:44 UTC
Summary:

SELinux is preventing /usr/lib/chromium-browser/chrome-sandbox access to a
leaked udp_socket file descriptor.

Detailed Description:

[chrome-sandbox has a permissive type (chrome_sandbox_t). This access was not
denied.]

SELinux denied access requested by the chrome-sandbox command. It looks like
this is either a leaked descriptor or chrome-sandbox output was redirected to a
file it is not allowed to access. Leaks usually can be ignored since SELinux is
just closing the leak and reporting the error. The application does not use the
descriptor, so it will run properly. If this is a redirection, you will not get
output in the udp_socket. You should generate a bugzilla on selinux-policy, and
it will get routed to the appropriate package. You can safely ignore this avc.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385)

Additional Information:

Source Context                unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_execmem_t:s0-
                              s0:c0.c1023
Target Objects                udp_socket [ udp_socket ]
Source                        chrome-sandbox
Source Path                   /usr/lib/chromium-browser/chrome-sandbox
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           chromium-4.0.285.0-0.1.20091230svn35370.fc12
Target RPM Packages           
Policy RPM                    selinux-policy-3.6.32-99.fc12
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Plugin Name                   leaks
Host Name                     (removed)
Platform                      Linux (removed) 2.6.32.9-70.fc12.i686 #1 SMP
                              Wed Mar 3 05:14:32 UTC 2010 i686 i686
Alert Count                   2
First Seen                    Sun 14 Mar 2010 07:09:43 AM PDT
Last Seen                     Sun 14 Mar 2010 07:10:21 AM PDT
Local ID                      1d01302f-7622-4895-a879-af86a5d4c689
Line Numbers                  

Raw Audit Messages            

node=(removed) type=AVC msg=audit(1268575821.354:41): avc:  denied  { read write } for  pid=4144 comm="chrome-sandbox" path="socket:[61425]" dev=sockfs ino=61425 scontext=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_execmem_t:s0-s0:c0.c1023 tclass=udp_socket

node=(removed) type=SYSCALL msg=audit(1268575821.354:41): arch=40000003 syscall=11 success=yes exit=0 a0=8d2fd54 a1=b5255418 a2=8d2ff10 a3=b5255418 items=0 ppid=3668 pid=4144 auid=500 uid=500 gid=500 euid=0 suid=0 fsuid=0 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="chrome-sandbox" exe="/usr/lib/chromium-browser/chrome-sandbox" subj=unconfined_u:unconfined_r:chrome_sandbox_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  leaks,chrome-sandbox,chrome_sandbox_t,unconfined_execmem_t,udp_socket,read,write
audit2allow suggests:

#============= chrome_sandbox_t ==============
allow chrome_sandbox_t unconfined_execmem_t:udp_socket { read write };

Comment 1 Daniel Walsh 2010-03-17 12:55:20 UTC
Miroslav add this to chrome_domtrans_sandbox

ifdef(`hide_broken_symptoms', `
	dontaudit chrome_sandbox_t $1:socket_class_set { read write };
')

This is what we have in F13.

Comment 2 Miroslav Grepl 2010-03-18 12:26:47 UTC
Fixed in selinux-policy-3.6.32-104.fc12

Comment 3 Fedora Update System 2010-03-23 18:03:01 UTC
selinux-policy-3.6.32-106.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 4 Fedora Update System 2010-03-24 23:30:10 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-106.fc12

Comment 5 Fedora Update System 2010-03-30 02:09:44 UTC
selinux-policy-3.6.32-106.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.